Bug 426045 - Review Request: libytnef - TNEF Stream Parser Library
Review Request: libytnef - TNEF Stream Parser Library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-17 18:11 EST by Andreas Bierfert
Modified: 2007-12-21 03:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-21 03:18:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2007-12-17 18:11:43 EST
Spec URL: http://fedora.lowlatency.de/review/libytnef.spec
SRPM URL: http://fedora.lowlatency.de/review/libytnef-1.5-1.fc8.src.rpm
Description:
TNEF Stream Parser Library, used by "ytnef" to decode TNEF (winmail.dat)
streams generated by Microsoft Outlook.

This is needed as a new dependency for the claws-mail-plugins tnef plugin.
Comment 1 Jason Tibbitts 2007-12-19 20:23:30 EST
I can't find a statement of the GPL version; none of the source code seems to
carry the required notice, and the version of the COPYING file does not itself
specify the version (since it explicitly states that you may use any version
in this case).  So unless you haved information to the contrary, it seems to me
that the License: tag should be "GPL+".

rpmlint says:
  libytnef-devel.x86_64: W: no-documentation
which is true and not problematic.

The only real issue I see is the usual one for packages with header files:
some of the headers, specifically mapi.h, look like they have a good chance
of conflicting with something.  How difficult would it be to put them in a
subdirectory of /usr/include, given that theres no pkgconfig file?

* source files match upstream:
   9f15aaccbd01c3229cae91fc04fce4edf7913d14c0fed476e77668586e74ddc5
   libytnef-1.5.tar.bz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
? license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (none)
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
  libytnef-1.5-1.fc9.x86_64.rpm
   libytnef.so.0()(64bit)
   libytnef = 1.5-1.fc9
  =
   /sbin/ldconfig
   libytnef.so.0()(64bit)
  libytnef-devel-1.5-1.fc9.x86_64.rpm
   libytnef-devel = 1.5-1.fc9
  =
   libytnef = 1.5-1.fc9
   libytnef.so.0()(64bit)

* %check is not present; no test suite upstream and no way to test this until an
   application comes along.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (ldconfig)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in the -devel subpackage.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 2 Andreas Bierfert 2007-12-20 02:37:26 EST
Thanks for reviewing this.

You are of course right with the license. Should be GPL+. I also moved the
headers to %{_includedir}/libytnef. I guess there won't be to many programs
using this and preventing name clashes is important so sounds good :). Here is
the fixed version.

http://fedora.lowlatency.de/review/libytnef.spec
http://fedora.lowlatency.de/review/libytnef-1.5-2.fc8.src.rpm

Comment 3 Jason Tibbitts 2007-12-20 11:21:43 EST
Looks great to me; APPROVED.

One thing you might want to do is ping upstream and ask them just what license
they really intended and perhaps let them know that they need to put the GPL
stanzas in their source code to indicate that.
Comment 4 Andreas Bierfert 2007-12-20 18:26:11 EST
Thank you very much for the review. I will try to get a hold of upstream.

New Package CVS Request
=======================
Package Name: libytnef
Short Description: TNEF Stream Parser Library
Owners: awjb
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-12-20 23:43:42 EST
cvs done.
Comment 6 Andreas Bierfert 2007-12-21 03:18:10 EST
Thanks :) Build for devel. Rest is building.

Note You need to log in before you can comment on or make changes to this bug.